Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Incremental_Key_Generator Class Reference

Defines a key generator. More...

`#include <Key_Adapters.h>`

List of all members.

## Public Methods
| TAO_Incremental_Key_Generator (void)
int | operator() (PortableServer::ObjectId &id)
## Protected Attributes
CORBA::ULong | counter_

## Detailed Description

Defines a key generator.

This class is used in adapters of maps that do not produce keys.

## Constructor & Destructor Documentation

TAO_Incremental_Key_Generator::TAO_Incremental_Key_Generator | ( | void |  | ) |

## Member Function Documentation

int TAO_Incremental_Key_Generator::operator() | ( | PortableServer::ObjectId & | id | ) |

## Member Data Documentation

CORBA::ULong TAO_Incremental_Key_Generator::counter_`[protected]`

The documentation for this class was generated from the following files:

- Key_Adapters.h
- Key_Adapters.cpp